// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2017 Thomas Klose & Torsten Schache, Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.


using System;
using System.Collections.Generic;


namespace Hiperscan.Extensions.ApoIdent
{
	public static class PdfFooter
	{
        public static readonly string Copyright = String.Format("Copyright \u00A9 HiperScan GmbH 2010 - {0}", Plugin.copyright_year);

        public static string ShortVersion(ReportCountryType report_type)
		{			
			if (IdentServerClient.Info == null)
				return String.Empty;

			string footer_format = String.Empty;

            switch (report_type)
			{

			case ReportCountryType.Germany:
			case ReportCountryType.Austria:
			case ReportCountryType.Switzerland:
				footer_format = "Erstellt mit QuickStep {0} {1}, IdentModul {2} {3}, http://www.hiperscan.com";
				break;

			case ReportCountryType.GreatBritain:
				footer_format = "Created by QuickStep {0} {1}, IdentModul {2} {3}, http://www.hiperscan.com";
				break;

			default:
				break;

			}

			if (String.IsNullOrEmpty(footer_format) == true)
				return String.Empty;

			return String.Format(footer_format,
				Plugin.name, Plugin.version, 
				IdentServerClient.Info.ShortIdentModuleVersion, PdfFooter.Copyright);	
		}
	}
}

